package com.gic.cloud.service.impl;

import com.gic.cloud.dao.mapper.TabIndexDescMapper;
import com.gic.cloud.dto.IndexDescDTO;
import com.gic.cloud.service.IndexDescService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-23 15:11
 */
@Service
public class IndexDescServiceImpl implements IndexDescService {

    @Autowired
    private TabIndexDescMapper tabIndexDescMapper;

    @Override
    public List<IndexDescDTO> listByEnterpriseAndModule(Integer enterpriseId, String moduleId) {
        return tabIndexDescMapper.listByEnterpriseAndModule(enterpriseId, moduleId);
    }

    @Override
    public List<IndexDescDTO> listByEnterpriseAndModuleDetail(Integer enterpriseId, String moduleId, Integer userId) {
        return tabIndexDescMapper.listByEnterpriseAndModuleDetail(enterpriseId, moduleId, userId);
    }
}
